﻿Imports System.Windows
Imports System.Collections.ObjectModel
Imports System.Windows.Media.Imaging
Imports System.Threading
Imports System
Imports System.IO
Imports System.ComponentModel
Imports System.Windows.Media
Imports System.Collections.Generic
Imports System.Windows.Documents
Imports System.Windows.Controls
Imports System.Windows.Threading

Public Class comicPage
    Implements INotifyPropertyChanged


    Private _filename As String
    Public ReadOnly Property FileNameUri() As Uri
        Get
            Return New Uri(_filename, UriKind.Absolute)
        End Get
    End Property

    Public ReadOnly Property FileName() As String
        Get
            Return System.IO.Path.GetFileNameWithoutExtension(_filename)
        End Get
    End Property

    Public Sub New(ByVal fn As String)
        Me._filename = fn
    End Sub

    Public ReadOnly Property FullPath As String
        Get
            Return _filename
        End Get
    End Property


    Public Sub CleanUp()

    End Sub
    Public Event PropertyChanged(ByVal sender As Object, ByVal e As System.ComponentModel.PropertyChangedEventArgs) Implements System.ComponentModel.INotifyPropertyChanged.PropertyChanged
End Class


Public Class ComicPages
    Inherits ObservableCollection(Of comicPage)
End Class